%define upstream_name	 Kwiki-UserPreferences
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	Kwiki User Preferences Plugin 
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Kwiki)
BuildRequires:	perl(inc::Module::Install)
BuildArch:	noarch


%description
Enable the setting of various User Preferences.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Kwiki
%{_mandir}/*/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.130.0-12.mga10
+ Revision: 2215886
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 0.130.0-11.mga9
+ Revision: 1901174
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-10.mga8
+ Revision: 1504907
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.130.0-9.mga7
+ Revision: 1284486
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.130.0-8.mga7
+ Revision: 1168526
- BR perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-7.mga6
+ Revision: 1029077
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.130.0-6.mga6
+ Revision: 947803
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-5.mga5
+ Revision: 748381
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 685178
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 512488
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 368914
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 37573
- mageia rebuild
- imported package perl-Kwiki-UserPreferences


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.0
+ Revision: 403387
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.13-7mdv2009.0
+ Revision: 257524
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.13-6mdv2009.0
+ Revision: 245616
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-4mdv2008.1
+ Revision: 133636
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-3mdv2007.0
- Rebuild

* Mon Apr 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-2mdk
- better sources URL
- better buildrequires syntax

* Mon Apr 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdk 
- first mandriva release

